#   Copyright (c) 2007 Axel Wachtler
#   All rights reserved.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of the authors nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
#   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
#   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
#   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
#   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
#   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.

# $Id$

#=== modules ==================================================================
import os
from pprint import pprint as pp

Import("doc")

#=== setup build environment ==================================================

doc['dox_install_dir'] = doc.Dir("$dir_install_doc")



#=== Main Doc. Setup ==========================================================
mdoc = doc.Clone()
mdoc['dir_build'] = mdoc.Dir(".")
mdoc['dox_title'] = "Documentation"
mdoc['dox_source_browser'] = "NO"
mdoc['dox_generate_tagfile'] = "main.tag"
mdoc['dox_tagfiles'] = "./install/doc/usr/usr.tag=./usr\
                        ./install/doc/xmpl/xmpl.tag=./xmpl\
                        ./install/doc/app/app.tag=./app\
                        ./install/doc/contrib/contrib.tag=./contrib\
                        ./install/doc/dev/dev.tag=./dev"

mdoc["dox_input_files"] = "${dir_src_doc}/main.dox "\
                          "${dir_src_doc}/trx.dox "\
                          "${dir_src_doc}/misc.dox"

mdoc["images_files"] = "${dir_src_img}/l1.png \
                        ${dir_src_img}/l2.png \
                        ${dir_src_img}/l3.png \
                        ${dir_src_img}/l4.png \
                        ${dir_src_img}/l5.png \
                        ${dir_src_img}/l1tiny.png \
                        ${dir_src_img}/scrn_xmpl_hif.png \
                        ${dir_src_img}/atmel_rb.jpg \
                        ${dir_src_img}/radio23x_scheme.png \
                        ${dir_src_img}/wireshark-linux.png \
                        ${dir_src_img}/baustelle1.jpg"

#=== targets ==========================================================
doxyfile = mdoc.DoxyfileTransformer("Doxyfile","Doxyfile.in")
htmlfile = mdoc.Command("${dox_install_dir}/index.html",
                         [doxyfile, "${dir_src_doc}/uracoli.css",
                         "${dir_src_doc}/header.html", "${dir_src_doc}/footer.html",],
                         ["doxygen $SOURCE"])
mdoc.Depends(htmlfile, mdoc.Split("$dox_input_files ${dir_top}/LICENSE"))
mdoc.Depends(htmlfile, ['${dox_install_dir}/app', '${dox_install_dir}/usr',
			'${dox_install_dir}/xmpl',
                        '${dox_install_dir}/contrib','${dox_install_dir}/dev'])
mdoc.Depends(htmlfile, mdoc.Split("${images_files}"))
